--- title: "deleteNetworkAcl" slug: "networking-vpc-networkacl-deletenetworkacl" updated: 2026-09-17T10:12:33Z published: 2026-09-17T10:12:33Z canonical: "api.ncloud-docs.com/networking-vpc-networkacl-deletenetworkacl" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # deleteNetworkAcl Available in VPC Delete a network ACL by specifying the network ACL number. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET \| POST | /vpc/v2/deleteNetworkAcl | Note This guide is based on the GET method. POST method call tests can be performed through Swagger in the API Gateway service of the NAVER Cloud Platform console. ### Request headers For headers common to all VPC APIs, see [VPC common headers](/docs/en/networking-vpc#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Optional | Region code of the network ACL to delete - First Region of the search result (default) - See [getRegionList](/docs/en/compute-vserver-server-common-getregionlist) | | `networkAclNo` | String | Required | Network ACL number to delete - See [getNetworkAclList](/docs/en/networking-vpc-networkacl-getnetworkacllist) | | `responseFormatType` | String | Optional | Response result format - `xml` (default) \| `json` | ### Request example The following is a sample request. ``` curl --location 'https://ncloud.apigw.ntruss.com/vpc/v2/deleteNetworkAcl ?regionCode=KR &networkAclNo=***31' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response The following describes the response format. ### Response body See [NetworkAclList](/docs/en/common-vapidatatype-networkacllist) for the response body. ### Response status codes For information about the HTTP status codes common to all VPC APIs, see [VPC response status codes](/docs/en/networking-vpc#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` dbe3ad4e-7b38-450c-8482-41c7df0cd4c2 0 success 1 ***31 test-*** ***04 TERMT terminate 2020-07-31T15:13:30+0900 false ```